Bug 1546990 - pathfix.py leaves bunch of ~ suffixed files around
Summary: pathfix.py leaves bunch of ~ suffixed files around
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-20 09:55 UTC by Miro Hrončok
Modified: 2018-06-07 09:00 UTC (History)
12 users (show)

Fixed In Version: python3-3.6.4-20.fc28 python3-3.6.5-1.fc26 python3-3.6.5-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-09 18:35:08 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Python 32885 None None None 2018-02-20 11:07:15 UTC

Description Miro Hrončok 2018-02-20 09:55:11 UTC
Description of problem:
When running pathfix.py, it creates backup files (with ~ suffix). This is mostly unfortunate in RPM build environment, because one needs to clean those up, otherwise one gets warnings and errors like this:


*** WARNING: mangling shebang in /usr/sbin/semanage~ from #! /usr/bin/python -Es to #!/usr/bin/python2 -Es. This will become an ERROR, fix it manually!


error: Installed (but unpackaged) file(s) found:
   /usr/sbin/semanage~


Or the file might even get installaed if a patter in %files is used, such as:

    %{_bindir}/whatnot-*

Version-Release number of selected component (if applicable): All up to 3.6.4-14


How reproducible: Easy


Steps to Reproduce:
1. $ echo '#!python' > omg
2. $ pathfix.py -i "/usr/bin/python3" -p omg
omg: updating
3. $ ls

Actual results: omg  omg~


Expected results: omg


Additional info: A command line switch not to create those might be a good idea. 2to3 has "-n, --nobackups       Don't write backups for modified files"

Comment 2 Fedora Update System 2018-03-23 20:41:16 UTC
python3-3.6.4-19.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d37ec3c5fc

Comment 3 Fedora Update System 2018-03-25 17:49:23 UTC
python3-3.6.4-20.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d37ec3c5fc

Comment 4 Fedora Update System 2018-03-25 20:31:55 UTC
python3-3.6.4-20.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d37ec3c5fc

Comment 5 Fedora Update System 2018-03-30 13:19:59 UTC
python3-3.6.4-20.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-04-05 09:34:50 UTC
python3-3.6.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 7 Fedora Update System 2018-04-05 09:34:59 UTC
python3-3.6.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 8 Fedora Update System 2018-04-05 15:51:11 UTC
python3-3.6.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 9 Fedora Update System 2018-04-05 15:56:43 UTC
python-pip-9.0.3-1.fc26 python3-3.6.5-1.fc26 python3-docs-3.6.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 10 Fedora Update System 2018-04-05 16:05:06 UTC
python3-3.6.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 11 Fedora Update System 2018-04-05 16:14:16 UTC
python-pip-9.0.3-1.fc27 python3-3.6.5-1.fc27 python3-docs-3.6.5-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 12 Fedora Update System 2018-04-06 16:52:08 UTC
python-pip-9.0.3-1.fc26, python3-3.6.5-1.fc26, python3-docs-3.6.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa8de9d66a

Comment 13 Fedora Update System 2018-04-06 17:16:42 UTC
python-pip-9.0.3-1.fc27, python3-3.6.5-1.fc27, python3-docs-3.6.5-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a042f795b2

Comment 14 Fedora Update System 2018-04-09 18:35:08 UTC
python-pip-9.0.3-1.fc26, python3-3.6.5-1.fc26, python3-docs-3.6.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-04-09 19:08:51 UTC
python-pip-9.0.3-1.fc27, python3-3.6.5-1.fc27, python3-docs-3.6.5-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Petr Viktorin 2018-06-07 09:00:00 UTC
FWIW, the result of this change is:

Add the `-n` option to pathfix.py to prevent it from generating the backup files.


Note You need to log in before you can comment on or make changes to this bug.